%def_disable debug
%def_enable ibmgtsim

Name: ibutils
Summary: OpenIB Mellanox InfiniBand Diagnostic Tools
Version: 1.5.4
Release: alt3
License: %gpl2only, %bsdstyle
Packager: Eugeny A. Rostovtsev (REAL) <real at altlinux.org>
Url: http://openib.org
Group: System/Base
Source: http://www.openfabrics.org/downloads/%name/%name-%version.tar

BuildRequires(pre): rpm-build-licenses rpm-build-tcl
BuildRequires: flex gcc-c++ graphviz-tcl libopensm-devel >= 3.3.2-alt2
BuildRequires: libtk swig tcl-devel perl-podlators

%description 
OpenIB Mellanox InfiniBand Diagnostic Tools.


%package devel
Summary: Files for development with OpenIB Mellanox InfiniBand Diagnostic Tools
Group: Development/C++
Requires: %name = %version-%release

%description devel
Files for development with OpenIB Mellanox InfiniBand Diagnostic Tools.


%package devel-doc
Summary: Documentation for OpenIB Mellanox InfiniBand Diagnostic Tools
Group: Development/Documentation
BuildArch: noarch

%description devel-doc
Documentation for OpenIB Mellanox InfiniBand Diagnostic Tools.


%if_enabled ibmgtsim
%package -n ibmgtsim
Summary: Infiniband Management Simulator
Group: System/Base
Requires: %name = %version-%release

%description -n ibmgtsim
Infiniband Management Simulator (IBMgtSim) simulates the Fabric as
defined by the given topology file and start a server to handle MAD 
requests from clients like OpenSM.


%package -n ibmgtsim-devel
Summary: Files for development with Infiniband Management Simulator
Group: Development/C++
Requires: ibmgtsim = %version-%release

%description -n ibmgtsim-devel
Files for development with Infiniband Management Simulator.
%endif


%prep
%setup


%build
chmod +x configure
%add_optflags -Wno-missing-braces -Wno-parentheses
%configure \
    %{subst_enable debug} \
    %{subst_enable ibmgtsim} \
    --with-graphviz-lib=%_tcllibdir \
    --with-tk-lib=%_libdir
#make_build
# parallel build don't work
%make


%install
%make_install DESTDIR=%buildroot install
install -d -m 0755 %buildroot%_docdir/%name-%version
install -m 0644 COPYING ibdm/{AUTHORS,ChangeLog,NEWS,README,THANKS,doc/*.pdf} %buildroot%_docdir/%name-%version/
rm -f %buildroot%_bindir/git_version.tcl
%if_enabled ibmgtsim
install -d -m 0755 %buildroot%_docdir/ibmgtsim-%version
install -m 0644 ibmgtsim/{AUTHORS,ChangeLog,README} %buildroot%_docdir/ibmgtsim-%version/
install -m 0644 ibmgtsim/tests/README %buildroot%_docdir/ibmgtsim-%version/README.tests
ln -sf IBMgtSim %buildroot%_bindir/ibmgtsim
ln -sf IBMgtSim.1 %buildroot%_man1dir/ibmgtsim.1
%endif


%files
%doc %dir %_docdir/%name-%version
%doc %_docdir/%name-%version/COPYING
%doc %_docdir/%name-%version/AUTHORS
%doc %_docdir/%name-%version/THANKS
%_bindir/ib*
%_man1dir/ib*
%if_enabled ibmgtsim
%exclude %_bindir/ibm*
%exclude %_man1dir/ibm*
%endif
%_libdir/ib*
%_libdir/libibdm*.so.*
%_libdir/libibsysapi.so.*

%files devel
%_includedir/ibdm
%_libdir/libibdm*.so
%_libdir/libibsysapi.so


%files devel-doc
%doc %dir %_docdir/%name-%version
%doc %_docdir/%name-%version/ChangeLog
%doc %_docdir/%name-%version/NEWS
%doc %_docdir/%name-%version/README
%doc %_docdir/%name-%version/*.pdf

%if_enabled ibmgtsim
%files -n ibmgtsim
%doc %dir %_docdir/ibmgtsim-%version
%doc %_docdir/ibmgtsim-%version/AUTHORS
%doc %_docdir/ibmgtsim-%version/ChangeLog
%doc %_docdir/ibmgtsim-%version/README*
%_libdir/libibm*.so.*
%_bindir/IBMgtSim
%_bindir/RunSimTest
%_bindir/ibm*
%_bindir/mk*
%_datadir/ibmgtsim
%_man1dir/IBMgtSim.*
%_man1dir/RunSimTest.*
%_man1dir/ibm*
%_man1dir/mk*


%files -n ibmgtsim-devel
%_includedir/ibmgtsim
%_libdir/libibm*.so
%endif


%changelog
* Thu Mar 24 2011 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 1.5.4-alt3
- Rebuilt for debuginfo

* Tue Nov 23 2010 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 1.5.4-alt2
- Fixed build

* Tue Aug 17 2010 Andriy Stepanov <stanv@altlinux.ru> 1.5.4-alt1
- New version (OFED 1.5.1)

* Mon Jun 29 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 1.2-alt9.1
- Build for Sisyphus

* Tue Jun 16 2009 Led <led@altlinux.ru> 1.2-alt9
- cosmetic code fixes

* Fri Jun 12 2009 Led <led@altlinux.ru> 1.2-alt8
- rebuild with new libopensm
- cleaned up spec
- updated from OFED-1.4.1
- fixed parallel build
- updated BuildRequires

* Wed May 13 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 1.2-alt7
- Rebuild with gcc4.4

* Tue May 05 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 1.2-alt6
- Rebuild with libopensm2

* Sat Nov 01 2008 Stanislav Ievlev <inger@altlinux.org> 1.2-alt5
- fix build with gcc-4.3

* Thu Sep 18 2008 Stanislav Ievlev <inger@altlinux.org> 1.2-alt4
- OFED 1.3.1

* Wed Jan 16 2008 Stanislav Ievlev <inger@altlinux.org> 1.2-alt3
- fix build with tcl8.5

* Tue Aug 28 2007 Stanislav Ievlev <inger@altlinux.org> 1.2-alt2
- fix buildreq

* Mon Aug 27 2007 Stanislav Ievlev <inger@altlinux.org> 1.2-alt1
- Initial build
